io.agora.rtc

## Enum Constants.MediaType

- java.lang.Object
- - java.lang.Enum<Constants.MediaType>
  - - io.agora.rtc.Constants.MediaType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.MediaType>
  Enclosing class:
    Constants

      public static enum Constants.MediaType
      extends java.lang.Enum<Constants.MediaType>

  Media type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_AND_VIDEO` Audio and video.
    `AUDIO_ONLY` Audio only.
    `NONE` No audio and video.
    `VIDEO_ONLY` Video only.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the media type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.MediaType type)` Gets the integer value of the media type.
    `static Constants.MediaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.MediaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Constants.MediaType NONE

      No audio and video.

    - #### AUDIO_ONLY

          public static final Constants.MediaType AUDIO_ONLY

      Audio only.

    - #### VIDEO_ONLY

          public static final Constants.MediaType VIDEO_ONLY

      Video only.

    - #### AUDIO_AND_VIDEO

          public static final Constants.MediaType AUDIO_AND_VIDEO

      Audio and video.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the media type

  - ### Method Detail

    - #### values

          public static Constants.MediaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.MediaType c : Constants.MediaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.MediaType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.MediaType type)

      Gets the integer value of the media type.
      Parameters:
        `type` - Media type
      Returns:
        The integer value